Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.container.services.information
Class PortletURLProviderImpl

    java.lang.Object
      org.jasig.portal.container.services.information.PortletURLProviderImpl

All Implemented Interfaces:
  org.apache.pluto.services.information.PortletURLProvider

    public class PortletURLProviderImpl

extends java.lang.Object
implements org.apache.pluto.services.information.PortletURLProvider

Implementation of Apache Pluto PortletURLProvider.

Version:
  $Revision: 1.28 $
Author:
  Michael Ivanov, mvi@immagic.com

Field Summary
`private PortletStateManager` | `portletStateManager`
`private org.apache.pluto.om.window.PortletWindow` | `portletWindow`

Constructor Summary
`PortletURLProviderImpl(org.apache.pluto.om.window.PortletWindow portletWindow)`

Method Summary
`void` | `clearParameters()`
`void` | `setAction()`
`void` | `setParameters(java.util.Map parameters)`
`void` | `setPortletMode(javax.portlet.PortletMode mode)`
`void` | `setSecure()`
`void` | `setWindowState(javax.portlet.WindowState state)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### portletWindow

    private org.apache.pluto.om.window.PortletWindow portletWindow

### portletStateManager

    private PortletStateManager portletStateManager

Constructor Detail

### PortletURLProviderImpl

    public PortletURLProviderImpl(org.apache.pluto.om.window.PortletWindow portletWindow)

Method Detail

### setPortletMode

    public void setPortletMode(javax.portlet.PortletMode mode)

  Specified by:
    `setPortletMode` in interface `org.apache.pluto.services.information.PortletURLProvider`

### setWindowState

    public void setWindowState(javax.portlet.WindowState state)

  Specified by:
    `setWindowState` in interface `org.apache.pluto.services.information.PortletURLProvider`

### setAction

    public void setAction()

  Specified by:
    `setAction` in interface `org.apache.pluto.services.information.PortletURLProvider`

### setSecure

    public void setSecure()

  Specified by:
    `setSecure` in interface `org.apache.pluto.services.information.PortletURLProvider`

### clearParameters

    public void clearParameters()

  Specified by:
    `clearParameters` in interface `org.apache.pluto.services.information.PortletURLProvider`

### setParameters

    public void setParameters(java.util.Map parameters)

  Specified by:
    `setParameters` in interface `org.apache.pluto.services.information.PortletURLProvider`

### toString

    public java.lang.String toString()

  Specified by:
    `toString` in interface `org.apache.pluto.services.information.PortletURLProvider`
  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD